package com.zdqz.read.domain;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel(value="请求体",description="过滤请求数据结构体")
public class FilterBean implements Serializable {

	private static final long serialVersionUID = 4540360374353261642L;

	@ApiModelProperty(value="解读备注信息",name="readremark",required = true)
	private ReadRemark readremark;
	
	@ApiModelProperty(value="病原体过滤解读编号列表",name="BYTFilterList")
	private Long[] BYTFilterList;
	
	@ApiModelProperty(value="毒力基因过滤解读编号列表",name="BYTFilterList")
	private Long[] DLJYFilterList;
	
	@ApiModelProperty(value="耐药基因过滤解读编号列表",name="BYTFilterList")
	private Long[] NYJYFilterList;
	
	@ApiModelProperty(value="点突变耐药基因过滤解读编号列表",name="BYTFilterList")
	private Long[] DTBNYJYFilterList;

	public ReadRemark getReadremark() {
		return readremark;
	}

	public void setReadremark(ReadRemark readremark) {
		this.readremark = readremark;
	}

	public Long[] getBYTFilterList() {
		return BYTFilterList;
	}

	public void setBYTFilterList(Long[] bYTFilterList) {
		BYTFilterList = bYTFilterList;
	}

	public Long[] getDLJYFilterList() {
		return DLJYFilterList;
	}

	public void setDLJYFilterList(Long[] dLJYFilterList) {
		DLJYFilterList = dLJYFilterList;
	}

	public Long[] getNYJYFilterList() {
		return NYJYFilterList;
	}

	public void setNYJYFilterList(Long[] nYJYFilterList) {
		NYJYFilterList = nYJYFilterList;
	}

	public Long[] getDTBNYJYFilterList() {
		return DTBNYJYFilterList;
	}

	public void setDTBNYJYFilterList(Long[] dTBNYJYFilterList) {
		DTBNYJYFilterList = dTBNYJYFilterList;
	}
	
}
