package com.zdqz.read.service;

import java.util.List;

import com.zdqz.read.domain.FilterBean;
import com.zdqz.read.domain.ReadData;

/**
 * 解读数据Service接口
 * 
 * @author 攻心小虫
 * @date 2025-06-05
 */
public interface IReadDataService {
	

	public int insertReadData(ReadData readData);

	public int updateReadData(ReadData readData);

	public void importData(Long experimentId, List<ReadData> importExcel);

	public List<ReadData> selectBYTByExperiment(Long experimentid);

	public List<ReadData> selectBYTFilterByExperiment(Long experimentid);

	public List<ReadData> selectDLJYByExperiment(Long experimentid);

	public List<ReadData> selectDLJYFilterByExperiment(Long experimentid);

	public List<ReadData> selectNYJYByExperiment(Long experimentid);

	public List<ReadData> selectNYJYFilterByExperiment(Long experimentid);

	public List<ReadData> selectDTBNYJYByExperiment(Long experimentid);

	public List<ReadData> selectDTBNYJYFilterByExperiment(Long experimentid);

	public void saveData(FilterBean filterBean);
}
