package com.zdqz.read.service;

import java.util.List;
import com.zdqz.read.domain.ReadRemark;

/**
 * 解读备注数据Service接口
 * 
 * @author 攻心小虫
 * @date 2025-06-06
 */
public interface IReadRemarkService {
	
	public ReadRemark selectReadRemarkById(Long id);

	public List<ReadRemark> selectReadRemarkList(ReadRemark readRemark);

	public int insertReadRemark(ReadRemark readRemark);

	public int updateReadRemark(ReadRemark readRemark);

	public int deleteReadRemarkByIds(Long[] ids);

	public int deleteReadRemarkById(Long id);

	public ReadRemark selectReadRemarkByExperiment(Long experimentid);
}
