package com.zdqz.sample.domain;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.zdqz.common.core.domain.BaseEntity;

/**
 * 解读管理对象 sample_experiment
 * 
 * @author 攻心小虫
 * @date 2025-06-05
 */
public class SampleExperiment extends BaseEntity {
	private static final long serialVersionUID = 1L;

	private Long id;

	private String experimentCode;

	private Long sampleInfoId;
	
	private String sampleCode;
	
	private String patientName;

	private Long status;

	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date dealTime;
	
	private Long generatorStatus;
	
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date generatorTime;
	
	private String generatorFile;
	

	public void setId(Long id) {
		this.id = id;
	}

	public Long getId() {
		return id;
	}

	public void setExperimentCode(String experimentCode) {
		this.experimentCode = experimentCode;
	}

	public String getExperimentCode() {
		return experimentCode;
	}

	public void setSampleInfoId(Long sampleInfoId) {
		this.sampleInfoId = sampleInfoId;
	}

	public Long getSampleInfoId() {
		return sampleInfoId;
	}
	
	public String getSampleCode() {
		return sampleCode;
	}

	public void setSampleCode(String sampleCode) {
		this.sampleCode = sampleCode;
	}

	public String getPatientName() {
		return patientName;
	}

	public void setPatientName(String patientName) {
		this.patientName = patientName;
	}

	public void setStatus(Long status) {
		this.status = status;
	}

	public Long getStatus() {
		return status;
	}

	public void setDealTime(Date dealTime) {
		this.dealTime = dealTime;
	}

	public Date getDealTime() {
		return dealTime;
	}

	public Long getGeneratorStatus() {
		return generatorStatus;
	}

	public void setGeneratorStatus(Long generatorStatus) {
		this.generatorStatus = generatorStatus;
	}

	public Date getGeneratorTime() {
		return generatorTime;
	}

	public void setGeneratorTime(Date generatorTime) {
		this.generatorTime = generatorTime;
	}

	public String getGeneratorFile() {
		return generatorFile;
	}

	public void setGeneratorFile(String generatorFile) {
		this.generatorFile = generatorFile;
	}

}
