package com.zdqz.sample.mapper;

import java.util.List;

import com.zdqz.sample.domain.SampleInfo;

/**
 * 样本管理Mapper接口
 * 
 * @author 攻心小虫
 * @date 2025-06-05
 */
public interface SampleInfoMapper {
	
	public SampleInfo selectSampleInfoById(Long id);

	public List<SampleInfo> selectSampleInfoList(SampleInfo sampleInfo);

	public int insertSampleInfo(SampleInfo sampleInfo);

	public int updateSampleInfo(SampleInfo sampleInfo);

	public int deleteSampleInfoById(Long id);

	public int deleteSampleInfoByIds(Long[] ids);

	public SampleInfo selectSampleInfoByExperiment(Long experimentid);
}
