package com.zdqz.read.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.zdqz.read.domain.ReadData;

/**
 * 解读数据Mapper接口
 * 
 * @author 攻心小虫
 * @date 2025-06-05
 */
public interface ReadDataMapper {

	public int setDeleteFlag(Long experimentId);
	
	public int insertReadData(ReadData readData);

	public int updateReadData(ReadData readData);

	public List<ReadData> selectBYTByExperiment(@Param("experimentId")  Long experimentId,@Param("filterStatus") Integer filterStatus);

	public List<ReadData> selectDLJYByExperiment(@Param("experimentId")  Long experimentId,@Param("filterStatus") Integer filterStatus);

	public List<ReadData> selectNYJYByExperiment(@Param("experimentId")  Long experimentId,@Param("filterStatus") Integer filterStatus);

	public List<ReadData> selectDTBNYJYByExperiment(@Param("experimentId")  Long experimentId,@Param("filterStatus") Integer filterStatus);

	public void resetBYTFilter(Long experimentId);

	public void setBYTFilter(Long[] bytFilterList);

	public void resetDLJYFilter(Long experimentId);

	public void setDLJYFilter(Long[] dljyFilterList);

	public void resetNYJYFilter(Long experimentId);

	public void setNYJYFilter(Long[] nyjyFilterList);

	public void resetDTBNYJYFilter(Long experimentId);

	public void setDTBNYJYFilter(Long[] dtbnyjyFilterList);

}
