package com.zdqz.read.mapper;

import java.util.List;
import com.zdqz.read.domain.ReadRemark;

/**
 * 解读备注数据Mapper接口
 * 
 * @author 攻心小虫
 * @date 2025-06-06
 */
public interface ReadRemarkMapper {
	public ReadRemark selectReadRemarkById(Long id);

	public List<ReadRemark> selectReadRemarkList(ReadRemark readRemark);

	public int insertReadRemark(ReadRemark readRemark);

	public int updateReadRemark(ReadRemark readRemark);

	public int deleteReadRemarkById(Long id);

	public int deleteReadRemarkByIds(Long[] ids);

	public ReadRemark selectReadRemarkByExperiment(Long experimentid);
}
