package com.zdqz.sample.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zdqz.common.annotation.Excel;
import com.zdqz.common.core.domain.BaseEntity;

/**
 * 送检医院对象 sample_hospital
 * 
 * @author 攻心小虫
 * @date 2025-06-04
 */
public class SampleHospital extends BaseEntity {
	private static final long serialVersionUID = 1L;

	/** 编号 */
	private Long id;

	/** 医院名称 */
	@Excel(name = "医院名称")
	private String name;

	/** 状态 */
	@Excel(name = "状态")
	private Long status;

	/** 医院等级 */
	@Excel(name = "医院等级")
	private String level;

	/** 中国行政区域编号 */
	@Excel(name = "中国行政区域编号")
	private Long cnAreanId;

	/** 中国行政区域组合名称 */
	@Excel(name = "中国行政区域组合名称")
	private String cnAreaname;

	/** 排序号 */
	@Excel(name = "排序号")
	private Long seq;

	public void setId(Long id) {
		this.id = id;
	}

	public Long getId() {
		return id;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getName() {
		return name;
	}

	public void setStatus(Long status) {
		this.status = status;
	}

	public Long getStatus() {
		return status;
	}

	public void setLevel(String level) {
		this.level = level;
	}

	public String getLevel() {
		return level;
	}

	public void setCnAreanId(Long cnAreanId) {
		this.cnAreanId = cnAreanId;
	}

	public Long getCnAreanId() {
		return cnAreanId;
	}

	public void setCnAreaname(String cnAreaname) {
		this.cnAreaname = cnAreaname;
	}

	public String getCnAreaname() {
		return cnAreaname;
	}

	public void setSeq(Long seq) {
		this.seq = seq;
	}

	public Long getSeq() {
		return seq;
	}

	@Override
	public String toString() {
		return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE).append("id", getId()).append("name", getName()).append("status", getStatus()).append("level", getLevel())
				.append("cnAreanId", getCnAreanId()).append("cnAreaname", getCnAreaname()).append("seq", getSeq()).append("createBy", getCreateBy())
				.append("createTime", getCreateTime()).append("updateBy", getUpdateBy()).append("updateTime", getUpdateTime()).append("remark", getRemark()).toString();
	}
}
