package com.zdqz.sample.mapper;

import java.util.List;
import com.zdqz.sample.domain.SamplePatient;

/**
 * 样本患者信息Mapper接口
 * 
 * @author 攻心小虫
 * @date 2025-06-04
 */
public interface SamplePatientMapper {
	public SamplePatient selectSamplePatientById(Long id);

	public List<SamplePatient> selectSamplePatientList(SamplePatient samplePatient);

	public int insertSamplePatient(SamplePatient samplePatient);

	public int updateSamplePatient(SamplePatient samplePatient);

	public int deleteSamplePatientById(Long id);

	public int deleteSamplePatientByIds(Long[] ids);

	public SamplePatient selectSamplePatientByExperiment(Long experimentid);
}
