package com.zdqz.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zdqz.common.annotation.Excel;
import com.zdqz.common.core.domain.BaseEntity;

/**
 * 全球地区库对象 sys_area
 * 
 * @author 攻心小虫
 * @date 2025-06-04
 */
public class SysArea extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private String areaId;

    /** 父ID */
    @Excel(name = "父ID")
    private String areaParentId;

    /** 层级 */
    @Excel(name = "层级")
    private String areaDeep;

    /** 中文名称 */
    @Excel(name = "中文名称")
    private String areaName;

    /** 维度 */
    @Excel(name = "维度")
    private String lat;

    /** 经度 */
    @Excel(name = "经度")
    private String lng;

    public void setAreaId(String areaId) 
    {
        this.areaId = areaId;
    }

    public String getAreaId() 
    {
        return areaId;
    }

    public void setAreaParentId(String areaParentId) 
    {
        this.areaParentId = areaParentId;
    }

    public String getAreaParentId() 
    {
        return areaParentId;
    }

    public void setAreaDeep(String areaDeep) 
    {
        this.areaDeep = areaDeep;
    }

    public String getAreaDeep() 
    {
        return areaDeep;
    }

    public void setAreaName(String areaName) 
    {
        this.areaName = areaName;
    }

    public String getAreaName() 
    {
        return areaName;
    }

    public void setLat(String lat) 
    {
        this.lat = lat;
    }

    public String getLat() 
    {
        return lat;
    }

    public void setLng(String lng) 
    {
        this.lng = lng;
    }

    public String getLng() 
    {
        return lng;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("areaId", getAreaId())
            .append("areaParentId", getAreaParentId())
            .append("areaDeep", getAreaDeep())
            .append("areaName", getAreaName())
            .append("lat", getLat())
            .append("lng", getLng())
            .toString();
    }
}
